"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Urls {
    _projectKey;
    _baseUrl;
    constructor(projectKey, baseUrl) {
        this._projectKey = projectKey;
        this._baseUrl = baseUrl;
    }
    urlRefresh() {
        return `${this._baseUrl}/api/iam/v1/auth/refresh`;
    }
    urlRegisterRun() {
        return `${this._baseUrl}/api/reporting/v1/test-runs?projectKey=${this._projectKey}`;
    }
    urlFinishRun(testRunId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}`;
    }
    urlStartTest(testRunId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests`;
    }
    urlFinishTest(testRunId, testId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests/${testId}`;
    }
    urlStartSession(testRunId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/test-sessions`;
    }
    urlTestRunLabel(testRunId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/labels`;
    }
    urlFinishSession(testRunId, sessionId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/test-sessions/${sessionId}`;
    }
    urlScreenshots(testRunId, testId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests/${testId}/screenshots`;
    }
    urlTestExecutionLabel(testRunId, testId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests/${testId}/labels`;
    }
    urlTestExecutionArtifact(testRunId, testId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests/${testId}/artifact-references`;
    }
    urlSendLogs(testRunId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/logs`;
    }
    urlSendScreenShot(testRunId, testId) {
        return `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests/${testId}/screenshots`;
    }
}
exports.default = Urls;
//# sourceMappingURL=Urls.js.map